# hipchat – post task events to hipchat

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- This callback plugin sends status updates to a HipChat channel during playbook execution.

- Before 2.4 only environment variables were available for configuring this plugin.

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelist in configuration.

- prettytable (python lib)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
api_version - | Default: "v1" | ini entries: [callback_hipchat] api_version = v1 env:HIPCHAT_API_VERSION | HipChat API version, v1 or v2.
from - | Default: "ansible" | ini entries: [callback_hipchat] from = ansible env:HIPCHAT_FROM | Name to post as

notify
boolean

Choices:
- no
- yes ←

ini entries:

[callback_hipchat]
notify = yes

env:HIPCHAT_NOTIFY

Add notify flag to important messages

room - | Default: "ansible" | ini entries: [callback_hipchat] room = ansible env:HIPCHAT_ROOM | HipChat room to post in.
token - / required |  | ini entries: [callback_hipchat] token = VALUE env:HIPCHAT_TOKEN | HipChat API token for v1 or v2 API.

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.